/*
 * Copyright 2005 by Kappich+Kniß Systemberatung Aachen (K2S)
 * 
 * This file is part of de.bsvrz.puk.config.
 * 
 * de.bsvrz.puk.config is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.puk.config is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.puk.config.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.bsvrz.puk.config.main.managementfile;


/**
 * Repräsentiert einen Versionseintrag zu einem Konfigurationsbereich. Es wird die Versionsnummer und die
 * Aktivierungszeit zurückgegeben.
 *
 * @author Kappich+Kniß Systemberatung Aachen (K2S)
 * @author Stephan Homeyer (sth)
 * @version $Revision:5077 $ / $Date:2007-09-02 14:48:31 +0200 (So, 02 Sep 2007) $ / ($Author:rs $)
 */
public interface VersionInfo {
	/**
	 * Gibt die Versionsnummer dieses Versionseintrages zurück.
	 *
	 * @return die Versionsnummer
	 */
	short getVersion();

	/**
	 * Gibt den Zeitpunkt der Aktivierung dieser Version zurück.
	 *
	 * @return den Aktivierungszeitpunkt
	 */
	long getActivationTime();
}
